Endpoint
| field | value |
|---|
| method | GET |
| path | /api/integrations/v1/audit-logs |
| operationId | list_integration_audit_logs_api_integrations_v1_audit_logs_get |
| auth | server to server integration client token |
| Idempotency-Key | not required |
| lifecycle | stable |
| resource type | audit-log |
| data classification | internal |
| scope risk | medium |
| write operation | no |
Summary
List Integration Audit Logs
Required scope
| scope | requirement |
|---|
| integrations:audit:read | required |
Operation contract
| field | value |
|---|
| bulk mode | - |
| bulk max items | - |
| bulk dry run | - |
| sync type | paginated-list |
| sync max limit | 100 |
| reconciliation | - |
Path parameters
Query parameters
| name | required | schema |
|---|
| limit | optional | integer |
| offset | optional | integer |
| action | optional | string | null |
| requestId | optional | string | null |
| idempotencyKey | optional | string | null |
Header parameters
| name | required | schema |
|---|
| Authorization | optional | string | null |
Request body
| status | media type | schema |
|---|
| - | - | - |
| - | - | - |
Response
| status | media type | schema |
|---|
| 200 | application/json | array |
Example
curl -X GET "https://api.vulnediag.anshin.care/api/integrations/v1/audit-logs" \
-H "Authorization: Bearer $ANSHIN_VULNEDIAG_INTEGRATION_ACCESS_TOKEN" \
業務境界
- domain: 法人
- endpoint は各 backend の S2S scoped OpenAPI artifact から同期しています。
- company 境界は backend で検証します。
- write 系 endpoint は、画面用 API と endpoint を分け、処理本体は service 層で共通化します。